Package com.arms.egovframework.javaservice.treeframework.controller

## Class CommonResponse

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.CommonResponse

-     public class CommonResponse
      extends java.lang.Object

  CommonResponse은 Response의 결과를 리턴해주는 클래스이다..

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CommonResponse.ApiError` |
    `static class` | `CommonResponse.ApiResult<T>` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommonResponse()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CommonResponse.ApiResult<?>` | `error​(ErrorCode errorCode, org.springframework.http.HttpStatus status)` |
    `static CommonResponse.ApiResult<?>` | `error​(java.lang.String message, ErrorCode errorCode, org.springframework.http.HttpStatus status)` |
    `static CommonResponse.ApiResult<?>` | `error​(java.lang.String message, org.springframework.http.HttpStatus status)` |
    `static CommonResponse.ApiResult<?>` | `error​(java.lang.Throwable throwable, org.springframework.http.HttpStatus status)` |
    `static <T> CommonResponse.ApiResult<T>` | `success​(T response)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonResponse

          public CommonResponse()

  - ### Method Detail

    - #### success

          public static <T> CommonResponse.ApiResult<T> success​(T response)

    - #### error

          public static CommonResponse.ApiResult<?> error​(java.lang.Throwable throwable,
                                                          org.springframework.http.HttpStatus status)

    - #### error

          public static CommonResponse.ApiResult<?> error​(java.lang.String message,
                                                          org.springframework.http.HttpStatus status)

    - #### error

          public static CommonResponse.ApiResult<?> error​(ErrorCode errorCode,
                                                          org.springframework.http.HttpStatus status)

    - #### error

          public static CommonResponse.ApiResult<?> error​(java.lang.String message,
                                                          ErrorCode errorCode,
                                                          org.springframework.http.HttpStatus status)